Package org.apache.solr.client.solrj.response

# Class RangeFacet.Currency

java.lang.Object
org.apache.solr.client.solrj.response.RangeFacet<String,String>
org.apache.solr.client.solrj.response.RangeFacet.Currency

Enclosing class:
  `RangeFacet<B,G>`

public static class RangeFacet.Currency extends RangeFacet<String,String>

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.response.RangeFacet

`RangeFacet.Count, RangeFacet.Currency, RangeFacet.Date, RangeFacet.Numeric`

## Constructor Summary

Constructors
Constructor
Description
`Currency(String name, String start, String end, String gap, Number before, Number after, Number between)`

## Method Summary

### Methods inherited from class org.apache.solr.client.solrj.response.RangeFacet

`addCount, getAfter, getBefore, getBetween, getCounts, getEnd, getGap, getName, getStart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Currency

public Currency(String name, String start, String end, String gap, Number before, Number after, Number between)